Subject: [issue62] FE Protocol LFB Parsing

From: Evangelos Haleplidis <[email-masked]>
Date: Mon, 14 Nov 2005 15:53:16 +0000

New submission from Evangelos Haleplidis <[email-masked]>:

I report the inconsistencies found in the protocol draft concerning the FE 
Protocol LFB, and its validation based on the LFB schema.

Also I'm attaching an FE Protocol LFB xml, that has been validated.

For an XML parser I used XML Spy from Altova.

--------------
FE Protocol xml
--------------

1. Page 82

                    <synopsis>
                        The CE heartbeat policy 1, refer to RFC xxxx
                        Section 6.2.1 for details </synopsis>
                    <synopsis>

Should be changed to:

                    <synopsis>
                        The CE heartbeat policy 1, refer to RFC xxxx
                        Section 6.2.1 for details
			  </synopsis>

2. Page 85

             <synopsis>
               The CE Heartbeat Dead Interval in millisecs</synopsis>
             </synopsis>

Should be changed to:

             <synopsis>
               The CE Heartbeat Dead Interval in millisecs
             </synopsis>

3. Page 85

             <synopsis>
               The FE Heartbeat Policy</synopsis>
             </synopsis>

Should be changed to:

             <synopsis>
               The FE Heartbeat Policy
             </synopsis>

4. Page 85

             <synopsis>
               The FE Heartbeat Interval in millisecs</synopsis>
             </synopsis>

Should be changed to:

             <synopsis>
               The FE Heartbeat Interval in millisecs
             </synopsis>

5. Page 86

             <synopsis>
                The FE Restart Policy</synopsis>
             </synopsis>

Should be changed to:

             <synopsis>
                The FE Restart Policy
             </synopsis>

6. Page 86

             <synopsis>
               The CE Failover Policy</synopsis>
             </synopsis>

Should be changed to:

             <synopsis>
               The CE Failover Policy
             </synopsis>

7. Page 86

             <synopsis>
               The CE Timeout Interval in millisecs</synopsis>
             </synopsis>

Should be changed to:

             <synopsis>
               The CE Timeout Interval in millisecs
             </synopsis>

======================

--------------
Cross-checking the FE Protocol LFB XML with the LFB model schema 
--------------

1. Before each opening of <atomic> there was a need for <synopsis>.

Solution: Either make the <synopsis> an optional field or include it inside 
the FEProtocolLFB schema.

2. The capabilities should be after the attributes.

Solution: Move the capabilities after the </attributes>

3. Problem with the field ID.

       <LFBClassDef>
         <name>FEPO</name>
         <id>1</id>

Should be changed to:

	<LFBClassDef LFBClassID="1">
			<name>FEPO</name>

====================

----------
category: Editorial
draft: draft-ietf-forces-protocol
files: FEProtocolLFB.xml
messages: 361
nosy: FORCES, ehalep
priority: Must fix
status: Pending
title: FE Protocol LFB Parsing

___________________________________________________
Forces issue tracker <[email-masked]>
<http://www.mip4.org/issues/tracker/forces/issue62>
___________________________________________________